SheetDraftingViewCollection Class

class NXOpen.Drawings.SheetDraftingViewCollection

Bases: object

Represents a collection of :py:class:`NXOpen.Drawings.DraftingView`s.

Use NXOpen.Drawings.DrawingSheet.SheetDraftingViews() to get the instance of this class.

New in version NX3.0.0.

Methods

Method Description
CreateBaseView For the selected part adds the base view as well as returns the reference to NXOpen.Drawings.DraftingView.
CreateProjectedView Lets you add a projected view (Orthoraphic View) for the selected parent view.
DeleteView Lets you delete the view
FindObject Finds the NXOpen.Drawings.DraftingView with the given identifier as recorded in a journal.

Method Detail

CreateBaseView

SheetDraftingViewCollection.CreateBaseView

For the selected part adds the base view as well as returns the reference to NXOpen.Drawings.DraftingView.

An imported model view (base view) determines orthographic space on the drawing and is used as a reference to establish the alignment and scale for all subsequent projected views.

Signature CreateBaseView(modelView, drawingReferencePoint, viewScale, inheritClippingBoundry)

Parameters:
  • modelView (NXOpen.ModelingView) – Modeling View to be import as base view.
  • drawingReferencePoint (NXOpen.Point3d) – view origin(location)
  • viewScale (float) – view scale
  • inheritClippingBoundry (bool) – if true inherit xyclip
Returns:

Base view

Return type:

NXOpen.Drawings.BaseView

New in version NX5.0.0.

License requirements: None.

CreateProjectedView

SheetDraftingViewCollection.CreateProjectedView

Overloaded method CreateProjectedView

  • CreateProjectedView(parentView, drawingReferencePoint)
  • CreateProjectedView(parentView, drawingReferencePoint, hingeLine)
  • CreateProjectedView(parentView, drawingReferencePoint, reverseDirection)

-------------------------------------

Lets you add a projected view (Orthoraphic View) for the selected parent view.

Signature CreateProjectedView(parentView, drawingReferencePoint)

Parameters:
Returns:

Projected view

Return type:

NXOpen.Drawings.ProjectedView

New in version NX5.0.0.

License requirements: None.

-------------------------------------

Lets you add a projected view (A View) for the selected parent view.

Signature CreateProjectedView(parentView, drawingReferencePoint, hingeLine)

Parameters:
Returns:

Projected view

Return type:

NXOpen.Drawings.ProjectedView

New in version NX5.0.0.

License requirements: None.

-------------------------------------

Lets you add a projected view (A View) for the selected parent view.

Signature CreateProjectedView(parentView, drawingReferencePoint, reverseDirection)

Parameters:
Returns:

Projected view

Return type:

NXOpen.Drawings.ProjectedView

New in version NX5.0.1.

License requirements: None.

-------------------------------------

DeleteView

SheetDraftingViewCollection.DeleteView

Lets you delete the view

Signature DeleteView(currentView)

Parameters:currentView (NXOpen.Drawings.DraftingView) – View to be deleted

New in version NX5.0.0.

License requirements: None.

FindObject

SheetDraftingViewCollection.FindObject

Finds the NXOpen.Drawings.DraftingView with the given identifier as recorded in a journal.

An object may not return the same value as its JournalIdentifier in different versions of the software. However newer versions of the software should find the same object when FindObject is passed older versions of its journal identifier. In general, this method should not be used in handwritten code and exists to support record and playback of journals.

An exception will be thrown if no object can be found with the given journal identifier.

Signature FindObject(journalIdentifier)

Parameters:journalIdentifier (str) – Identifier of the drafting view to be found
Returns:View with this identifier
Return type:NXOpen.Drawings.DraftingView

New in version NX3.0.0.

License requirements: None.